﻿html {
    position: relative;
    min-height: 100%;
}

.body {
    margin-bottom: 80px;
    padding-top: 48px;
}

.containercustom {
    width: 100% !important;
}

/* #region Footer styles */
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    font-size: 0.85em;
}
/* #endregion */

/* #region custom Kendo UI styles */
#configure {
    display: none;
}

.k-panelbar {
    font-size: 10pt;
}

    .k-panelbar .k-content {
        padding: 20px;
    }

.k-state-default .k-panelbar-item .k-level-1 {
    height: 50px;
}

.k-panelbar .k-panelbar-group > .k-panelbar-item > .k-link.k-selected {
    color: #000;
    background-color: #fff;
}

p .k-button {
    margin: 0 15px 0 0;
}

.k-state-active .label {
    font-size: 1em;
}

#btnClear {
    font-size: 11px;
    background-color: #9bba50 !important;
    margin-top: 7px;
}

label {
    margin-bottom: 0px !important;
}

#context-menu {
    display: none;
}

.k-window-title, .popupMessage {
    /*    font-weight: bold;*/
    font-size: 14px;
}

.k-tabstrip-wrapper {
    width: 100%;
}
/* optimise the readability and available space */
.k-list .k-item, .k-list-optionlabel {
    padding: 3px 0.25rem !important;
    font-size: 11px;
}

.k-window-titlebar {
    background-color: #00a4db;
    white-space: normal;
}

.k-edit-form-container .k-edit-field {
    margin: 0 0 0.5rem 0 !important;
    padding: 2px 0 0 0 !important;
    font-size: 11px;
}

.k-input .k-textbox .k-input-solid .k-input-md .k-rounded-md {
    margin: 0 0 0.5rem 0 !important;
    padding: 2px 0 0 0 !important;
    font-size: 11px;
}

.k-tabstrip-items,
.k-edit-label,
.k-form .k-form-label,
.k-form .k-form-field-wrap .k-textbox,
.k-form .k-textarea,
.k-form .k-form-field .k-dropdown,
.k-form .k-form-field-wrap .k-input,
.k-checkbox-label,
.k-list-item,
.k-input-value-text,
.k-treeview-leaf-text {
    font-size: 11px !important;
}

.k-picker k-dropdownlist k-picker-solid k-picker-md k-rounded-md {
    font-size: 11px !important;
}

.k-form .k-form-buttons .k-form-submit {
    font-size: 11px !important;
}

.form-control {
    font-size: 11px !important;
    height: 27px;
}

/*.fontSize {
    font-size: 13px;
}*/

.k-form .k-form-field {
    margin-top: 0.5rem !important;
    font-size: 11px !important;
}

/* #endregion */

@media (max-width: 767px) {
    #responsive-panel {
        transition: all linear .2s;
    }

    #configure {
        display: block;
        float: right;
    }

    .k-rpanel {
        width: 100%;
    }

    .k-rpanel-expanded {
        margin-top: 1rem;
    }

    .navbar-header {
        width: 100%;
    }

    .footer {
        height: 60px;
    }

    .k-menu .k-item,
    .k-menu .k-link {
        width: 100%;
    }

    .k-menu .k-link {
        box-sizing: border-box;
    }
}

.deepest-blue {
    /*Used on side menu.*/
    background-color: #182a49;
}

.max-height {
    position: absolute;
    top: 0px;
    bottom: 0;
}

.left-split {
    width: 48px;
}

.right-split {
    width: calc(100% - 48px);
    margin-left: 48px;
    overflow: auto;
}

/*LEFT MENU SPECIFICS.*/
.left-menu {
    height: 100%;
    width: 48px; /*rough guess for now.*/
    overflow: auto;
    box-shadow: inset -20px 0px 10px -15px #121f35;
}

.deep-blue {
    /*Used on top menu.*/
    /*background-color: #1d407b;*/
    /*background-color: #1f4a82; /* Had to update the color as the logo blue is slightly different. */
    /* background-color: #284578;*/
    background-color: #234c82;
}

.top-menu {
    margin-left: 48px;
    width: 100%;
    height: 48px; /*rough guess for now.*/
    /*overflow: auto;*/
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
}

    .top-menu .logo-image {
        float: left;
        overflow: hidden;
        height: 48px;
    }

/*First element inside the specific view.*/
.splitter {
    overflow: auto;
    position: relative;
    min-height: 100%;
}

    /* the body of hte page without the sub menu. */
    .splitter .inner-content {
        overflow: auto;
        float: left;
    }

.user-section {
    position: relative;
}

.user-background img {
    width: 275px;
    min-height: 110px;
}

.page-content.no-pad {
    padding-left: 0px !important;
    padding-right: 0px !important;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    margin-top: 0px !important;
}

.page-content, .content-pad {
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 20px;
    padding-top: 0px;
    margin-top: 20px;
    /* position: relative; */
}

.splitter .inner-content {
    width: calc(100% - 275px);
}

.splitter .inner-content {
    overflow: auto;
    float: left;
}

.inner-content {
    overflow-x: hidden !important;
}

.img-logo {
    height: 15px;
    width: 15px;
}

/* #region Side-menu toggle Show/hide the side bar. */

.toggle-side {
    position: absolute;
    top: -10px;
    right: -11px;
    color: white;
}

    .toggle-side .hider {
        /*box-shadow: 2px 2px 3px #333;*/
        /*opacity:0.95;*/
    }

    .toggle-side span {
        width: 100%;
        text-align: center;
    }

    .toggle-side .hider {
        margin: 10px;
        padding: 15px;
        width: 48px;
        height: 48px;
    }

.toggler .shower {
    margin: 0px;
    padding: 17px;
    width: 38px;
    height: 38px;
}

.toggle-side .hider {
    background-color: #00a4db;
}

    .toggle-side .hider:hover {
        cursor: pointer;
    }

    .toggle-side .hider:hover {
        cursor: pointer;
    }

.toggler {
    color: white;
    margin-top: 48px;
}

.full-page.contracted-split .toggler .shower {
    display: block;
    cursor: pointer;
}

.full-page .toggler .shower {
    display: none;
}

.full-page .toggle-side .hider {
    display: block;
}

.full-page.contracted-split .toggle-side .hider {
    display: none;
}

/* give it some large negative margin, sliding it under the left menu.*/
.full-page.contracted-split .sub-menu, .full-page.contracted-split .sub-menu-bg {
    margin-left: -275px;
}

.full-page.contracted-split .inner-content {
    width: 100%;
}

.full-page {
    -webkit-overflow-scrolling: auto;
}

.k-panelbar > .k-item > .k-link, .k-panelbar > .k-panelbar-header > .k-link {
    color: white !important;
    background-color: #00a4db !important;
}

.sub-menu {
    /* The light gray menu inside the body of the page. */
    width: 275px;
    /*background-color: #eaedf0;*/
    background-color: white;
    float: left;
    height: 100%;
    position: relative;
    display: block;
    z-index: 10;
}

.sub-menu-bg {
    /*Our cheeky way of making a 100% tall column regardless of the height of the other columns.*/
    position: absolute;
    top: 50px;
    bottom: 0;
    left: 0;
    width: 275px;
    /*background-color: #eaedf0;*/
    background-color: white;
    float: left;
    z-index: 1;
}

.sub-menu, .sub-menu-bg {
    border-right: 1px solid #bbb;
    font-size: 13px;
}
/*#endregion*/

.top-menu .nav-item {
    float: right;
    background-color: #234c82;
}

.nav-item {
    width: 48px;
    height: 48px;
    color: white;
}

    .nav-item a:visited {
        color: white !important;
        text-decoration: none;
    }

    .nav-item a {
        color: white;
        padding: 12px;
        font-size: 24px;
    }

.new-window-icon {
    position: relative !important;
    top: 3px !important;
}

.heading-size {
    font-size: xx-large;
    font-family: 'Segoe UI';
    font-weight: bold;
}

.user-section .user-friendly-name h4 {
    color: white;
    text-shadow: 2px 2px 3px #333;
    position: absolute;
    bottom: 0px;
    right: 0px;
    margin-right: 10px;
    margin-bottom: 10px;
}

.logon-container {
    max-width: 480px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
    margin-bottom: 20px;
}

.jumbotron {
    background-color: #234c82;
    color: white;
}

.logon-button {
    width: 100%;
    background-color: #9bba50 !important;
    color: #FFF !important;
}

textarea {
    border-color: #ced4da;
    color: #495057;
    width: 100%;
    background-color: #fff;
}

input[disabled] {
    background-color: lightgrey;
}

.fontstyle {
    font-weight: normal !important;
}

#dataloggerForm {
    margin-top: 30px;
}

.k-form-clear {
    display: none !important;
}

.k-context-menu {
    font-size: 10pt;
}

.k-menu-link {
    font-size: 10pt;
}

.k-numerictextbox .k-input-spinner {
    width: auto;
    flex: none;
    display: none;
    flex-flow: column nowrap;
}
